.menu-top *::-webkit-scrollbar {
	width: 10px;
	height: 10px;
}
.menu-top *::-webkit-scrollbar-thumb {
	background-color: #fff;
}
.menu-top *::-webkit-scrollbar-track {}
.menu-top * {
	scrollbar-width: thin;
	scrollbar-width: 10px;
	scrollbar-color: #fff rgba(0, 14, 26, 0.7);
}

.menu-top ul {
	height: calc(100% - 67px);
	background-color: rgba(0, 14, 26, 0.7);
	/* background-image: url('/local/templates/integral_2024/i/menu-backdrop.png'); */
	position: fixed;
	padding: 20px 0;
	top: 67px;
	z-index: 990;
	opacity: 0;
	visibility: hidden;
	overflow: auto;
	/*-webkit-transition: 0.75s;*/
	/*-o-transition: 0.75s;*/
	/*transition: 0.75s;*/
}
.menu-top .lvl1 {
	z-index: 999;
	background-color: rgba(0, 14, 26, 0.7);
}
.menu-top .lvl2 {
	z-index: -9;
	background-color: rgba(0, 14, 26, 0.8);
}
.menu-top .lvl3 {
	z-index: -99;
	background-color: rgba(0, 14, 26, 0.8);
}
.menu-top ul::before {
	content: '';
	display: block;
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	z-index: -1;
	backdrop-filter: blur(2px);
}
.lvl2 show::before {
	content: '';
	display: block;
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	z-index: -1;
	backdrop-filter: blur(2px);
}
.site.admin .menu-top ul {
	height: calc(100% - 106px);
	top: 106px;
}
.menu-top .lvl1.show {
	z-index: 999;
	left: 0;

	opacity: 1; /* Скрываем второй уровень по умолчанию */
	visibility: visible; /* Скрываем второй уровень по умолчанию */
	transition: opacity; /


}
.menu-top .lvl2.show {
	opacity: 1;
	visibility: visible;
}
.menu-top .lvl3.show {
	opacity: 1;
	visibility: visible;
}
.menu-top a {
	display: block;
	padding: 17px 40px;
	text-transform: uppercase;
	color: #fff;
}
.menu-top .lvl1 a {
	font-size: 18px;
	line-height: 24px;
}
.menu-top .lvl2 a {
	font-size: 18px;
	line-height: 24px;
}
.menu-top .lvl3 a {
	font-size: 18px;
	line-height: 24px;
}
.menu-top li.parent > a {
	position: relative;
	padding-right: 60px;
}
.menu-top li.parent > a::before,
.menu-top li.parent > a::after {
	content: '';
	display: block;
	width: 8px;
	height: 1px;
	background-color: #fff;
	position: absolute;
	top: 50%;
	right: 40px;
}
.menu-top li.parent > a::before {
	-webkit-transform: translateY(-3px) rotate(45deg);
	    -ms-transform: translateY(-3px) rotate(45deg);
	        transform: translateY(-3px) rotate(45deg);
}
.menu-top li.parent > a::after {
	-webkit-transform: translateY(3px) rotate(-45deg);
	    -ms-transform: translateY(3px) rotate(-45deg);
	        transform: translateY(3px) rotate(-45deg);
}
.menu-top li.parent > a:hover::before,
.menu-top li.parent > a:hover::after {
	background-color: rgba(0, 89, 157, 1);
}
.menu-top a:hover {
	background-color: #fff;
	color: rgba(0, 89, 157, 1);
}

@media (min-width: 1600px) {
	.menu-top ul {
		width: 495px;
		left: -495px;
	}
	.menu-top .lvl1.show {
		left: 0;
		opacity: 1; /* Скрываем второй уровень по умолчанию */
		visibility: visible; /* Скрываем второй уровень по умолчанию */
		transition: opacity; /
	}
	.menu-top .lvl2.show {
		left: 495px;
	}
	.menu-top .lvl3.show {
		left: 990px;
	}
	.menu-top a {
		padding: 17px 40px;
		font-size: 18px;
		line-height: 24px;
	}
}

@media (min-width: 1280px) {
	.menu-top ul {
		width: 400px;
		left: -400px;
	}
	.menu-top .lvl1.show {
		left: 0;
		opacity: 1; /* Скрываем второй уровень по умолчанию */
		visibility: visible; /* Скрываем второй уровень по умолчанию */
		transition: opacity ; /
	}
	.menu-top .lvl2.show {
		left: 400px;

//opacity: 80%;
		visibility: visible; /* Скрываем второй уровень по умолчанию */
//		background-color: rgb(0, 14, 26)!important;
		transition: opacity;
	}
	.menu-top .lvl3.show {
		left: 800px;
	}
	.menu-top a {
		padding: 15px 30px;
		font-size: 16px;
		line-height: 20px;
	}
}

@media (min-width: 320px) and (max-width: 1279px) {
	.menu-top ul {
		width: 300px;
		left: -300px;
	}
	.menu-top .lvl1.show {
		left: 0;
		opacity: 1; /* Скрываем второй уровень по умолчанию */
		visibility: visible; /* Скрываем второй уровень по умолчанию */
		transition: opacity 1s; /
	}
	.menu-top ul.invisible {
		left: -300px;
		opacity: 1;
		visibility: visible;
	}
	.menu-top .lvl2.show {
		left: 0;
	}
	.menu-top .lvl3.show {
		left: 0;
	}
	.menu-top a {
		padding: 15px 30px;
		font-size: 14px;
		line-height: 18px;
	}
}

